Skip to main content
`Ctrl`+`K`

# PetscDrawSPAddPointColorized

Adds another point to each of the scatter plots as well as a numeric value to be used to colorize the scatter point.

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPAddPointColorized(PetscDrawSP sp, PetscReal *x, PetscReal *y, PetscReal *z)

Not Collective

## Input Parameters

- sp - the scatter plot data structure

- x - array of length dim containing the new x coordinate values for each of the point curves.

- y - array of length dim containing the new y coordinate values for each of the point curves.

- z - array of length dim containing the numeric values that will be mapped to [0,255] and used for scatter point colors.

## Note

The dimensions of the arrays is the number of point curves passed to `PetscDrawSPCreate()`. The new points will not be displayed until a call to `PetscDrawSPDraw()` is made

## See Also

`PetscDrawSPAddPoints()`, `PetscDrawSP`, `PetscDrawSPCreate()`, `PetscDrawSPReset()`, `PetscDrawSPDraw()`, `PetscDrawSPAddPoint()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages